#
# spec file for package kmail
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define kf5_version 5.35.0
# Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)
%{!?_kapp_version: %define _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
%bcond_without lang
Name:           kmail
Version:        18.12.3
Release:        lp151.3.7.1
Summary:        Mail Client
License:        GPL-2.0-only
Group:          Productivity/Networking/Email/Clients
URL:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM
Patch0:         Fix-bug-406324-move-really-to-trash.patch
Patch1:         Fix-bug-406324-fix-connect-signal_slot-error.patch
# PATCH-FIX-UPSTREAM
Patch2:         Fix-Bug-391631.patch
# PATCH-FIX-UPSTREAM
Patch3:         Fix-Bug-407967.patch
BuildRequires:  extra-cmake-modules >= %{kf5_version}
BuildRequires:  gettext-devel
BuildRequires:  libgpgmepp-devel
BuildRequires:  libqgpgme-devel
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  update-desktop-files
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiContact)
BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5AkonadiSearch)
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5CalendarUtils)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5FollowupReminder)
BuildRequires:  cmake(KF5Gravatar)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IdentityManagement)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5KdepimDBusInterfaces)
BuildRequires:  cmake(KF5KontactInterface)
BuildRequires:  cmake(KF5Ldap)
BuildRequires:  cmake(KF5LibKSieve)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5Libkleo)
BuildRequires:  cmake(KF5MailCommon)
BuildRequires:  cmake(KF5MailTransport)
BuildRequires:  cmake(KF5MessageComposer)
BuildRequires:  cmake(KF5MessageCore)
BuildRequires:  cmake(KF5MessageList)
BuildRequires:  cmake(KF5MessageViewer)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5PimCommon)
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5SendLater)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Sonnet)
BuildRequires:  cmake(KF5SyntaxHighlighting)
BuildRequires:  cmake(KF5TemplateParser)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5Tnef)
BuildRequires:  cmake(KF5WebEngineViewer)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  pkgconfig(Qt5DBus) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Network) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Qml) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Quick) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
BuildRequires:  pkgconfig(Qt5WebEngine) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Xml) >= 5.2.0
Requires:       %{name}-application-icons
Requires:       kdepim-addons
Requires:       kdepim-runtime
Requires:       kmail-account-wizard
Recommends:     %{name}-lang
%requires_eq    libKF5PimCommon5
%requires_eq    libKF5PimCommonAkonadi5
%requires_eq    messagelib
Recommends:     akonadi-import-wizard
Recommends:     akonadi-search
Recommends:     kleopatra
Recommends:     ktnef
Recommends:     mbox-importer
Recommends:     pim-data-exporter
Recommends:     pim-sieve-editor
Provides:       kmail5 = %{version}
Obsoletes:      kmail5 < %{version}
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %{ix86} x86_64 %{arm} aarch64 mips mips64
%if 0%{?suse_version} < 1500
# the default gcc 4.8 is too old
BuildRequires:  gcc7-c++
%endif

%description
KMail is the KDE mail client.

%package application-icons
Summary:        mail client icon
Group:          Productivity/Networking/Email/Clients

%description application-icons
The KMail application icon that is shared with a number of applications

%package -n ktnef
Summary:        Viewer for email attachments in TNEF format
Group:          Productivity/Networking/Email/Clients
Requires:       kdepim-runtime
Obsoletes:      ktnef5 < %{version}
Provides:       ktnef5 = %{version}

%description -n ktnef
KTNEF is a viewer for email attachments in the TNEF format.

%lang_package

%prep
%autosetup -p1

%build
%if 0%{?suse_version} < 1500
# the default gcc 4.8 is too old
export CC=gcc-7
export CXX=g++-7
%endif
%cmake_kf5 -d build
%make_jobs

%install
%kf5_makeinstall -C build
%if %{with lang}
  %find_lang %{name} --with-man --all-name
  %{kf5_find_htmldocs}
%endif

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n ktnef
%doc %lang(en) %{_kf5_htmldir}/en/ktnef/
%{_kf5_debugdir}/ktnefapps.categories
%{_kf5_debugdir}/ktnefapps.renamecategories
%{_kf5_applicationsdir}/org.kde.ktnef.desktop
%{_kf5_bindir}/ktnef
%{_kf5_iconsdir}/*/*/*/ktnef*.png

%files
%license COPYING*
%config %{_kf5_configdir}/kmail.categories
%config %{_kf5_configdir}/kmail.renamecategories
%dir %{_kf5_appstreamdir}/
%doc %lang(en) %{_kf5_htmldir}/en/akonadi_archivemail_agent/
%doc %lang(en) %{_kf5_htmldir}/en/akonadi_followupreminder_agent/
%doc %lang(en) %{_kf5_htmldir}/en/akonadi_sendlater_agent/
%doc %lang(en) %{_kf5_htmldir}/en/kmail2/
%{_kf5_applicationsdir}/kmail_view.desktop
%{_kf5_applicationsdir}/org.kde.kmail2.desktop
%{_kf5_appstreamdir}/org.kde.kmail2.appdata.xml
%{_kf5_bindir}/akonadi_archivemail_agent
%{_kf5_bindir}/akonadi_followupreminder_agent
%{_kf5_bindir}/akonadi_mailfilter_agent
%{_kf5_bindir}/akonadi_sendlater_agent
%{_kf5_bindir}/akonadi_unifiedmailbox_agent
%{_kf5_bindir}/kmail*
%{_kf5_configkcfgdir}/archivemailagentsettings.kcfg
%{_kf5_configkcfgdir}/kmail.kcfg
%{_kf5_dbusinterfacesdir}/org.kde.kmail.*.xml
%{_kf5_kxmlguidir}/kontactsummary/
%{_kf5_libdir}/libkmailprivate.so.*
%{_kf5_notifydir}/akonadi_*_agent.notifyrc
%{_kf5_notifydir}/kmail2.notifyrc
%{_kf5_plugindir}/kcm_kmail.so
%{_kf5_plugindir}/kcm_kmailsummary.so
%{_kf5_plugindir}/kcm_kontactsummary.so
%{_kf5_plugindir}/kmailpart.so
%{_kf5_plugindir}/kontact_kmailplugin.so
%{_kf5_plugindir}/kontact_summaryplugin.so
%{_kf5_servicesdir}/kcmkmailsummary.desktop
%{_kf5_servicesdir}/kcmkontactsummary.desktop
%{_kf5_servicesdir}/kmail_*.desktop
%{_kf5_servicesdir}/kontact/
%{_kf5_servicetypesdir}/dbusmail.desktop
%{_kf5_sharedir}/akonadi/agents/
%{_kf5_sharedir}/kconf_update/
%{_kf5_sharedir}/kmail2/
%{_kf5_sharedir}/kontact/

%files application-icons
%license COPYING COPYING.LIB COPYING.DOC
%dir %{_kf5_iconsdir}/hicolor/16x16/emblems
%dir %{_kf5_iconsdir}/hicolor/22x22/emblems
%dir %{_kf5_iconsdir}/hicolor/8x8
%dir %{_kf5_iconsdir}/hicolor/8x8/emblems
%dir %{_kf5_iconsdir}/breeze-dark/
%dir %{_kf5_iconsdir}/breeze-dark/16x16
%dir %{_kf5_iconsdir}/breeze-dark/16x16/emblems
%dir %{_kf5_iconsdir}/breeze-dark/22x22
%dir %{_kf5_iconsdir}/breeze-dark/8x8
%dir %{_kf5_iconsdir}/breeze-dark/8x8/emblems
%dir %{_kf5_iconsdir}/breeze-dark/22x22/emblems
%{_kf5_iconsdir}/hicolor/*/apps/kmail.png
%{_kf5_iconsdir}/hicolor/*/emblems/gpg-key-trust-level*.svg
%{_kf5_iconsdir}/hicolor/scalable/apps/kmail.svg
%{_kf5_iconsdir}/breeze-dark/*/emblems/gpg-key-trust-level-*.svg

%if %{with lang}
%files lang -f %{name}.lang
%license COPYING*
%endif

%changelog
* Tue May 28 2019 wbauer@tmo.at
- Add Fix-Bug-407967.patch to ensure that the "To:" field always
  has focus when creating a new mail (boo#1136481, kde#407967)
* Sat May 11 2019 wbauer@tmo.at
- Add Fix-Bug-391631.patch to fix newly created itentities not
  showing up in the settings dialog before kmail is restarted
  (kde#391631)
* Thu May  9 2019 wbauer@tmo.at
- Add upstream patches to fix "Move to Trash" action in the scam
  detection menu permanently deleting the mails instead of moving
  them to the trash (kde#406324):
  * Fix-bug-406324-move-really-to-trash.patch
  * Fix-bug-406324-fix-connect-signal_slot-error.patch
* Sat Mar  9 2019 lbeltrame@kde.org
- Update to 18.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
  * Fix Bug 403313 - Encoding problem on kmail2 5.10.1 when creating composer from command line (kde#403313)
* Sat Feb  9 2019 lbeltrame@kde.org
- Update to 18.12.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.2.php
- Changes since 18.12.1:
  * Fix Bug 403313 - Encoding problem on kmail2 5.10.1 when creating composer from command line (kde#403313)
* Fri Jan 11 2019 lbeltrame@kde.org
- Update to 18.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.1.php
- Changes since 18.12.0:
  * unifiedmailboxagent: Stop using std::optional.
  * Fix Bug 402378 - mailto staement , uncomplete url past to kmail composer
  * Make sure that it doesn't crash here
  * Fix Bug 401419 - Kmail crashes on trying to open any email (kde#401419)
  * Fix add parentwidget
- Dropped patches, now upstream:
  * 0001-Fix-Bug-401419-Kmail-crashes-on-trying-to-open-any-e.patch
* Fri Dec 14 2018 lbeltrame@kde.org
- Update to 18.12.0
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
  * Fix Bug 401685 - context menu option for mailing list actions confused about which list is relevant (kde#401685)
- Add upstream patch 0001-Fix-Bug-401419-Kmail-crashes-on-trying-to-open-any-e.patch:
  * Fixes Kmail crashing when trying to open a mail (kde#401419)
* Mon Dec  3 2018 lbeltrame@kde.org
- Update to 18.11.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
  * Fix mem leak
  * Fix potential mem leak
  * Fix mem leak
  * Fix mem leak
  * Make sure the unified mailbox dialog is only really shown once
  * Remove unused method
* Thu Nov 22 2018 wbauer@tmo.at
- Use gcc7 to build on Leap 42.3, the default 4.8 is too old
* Tue Nov 20 2018 Luca Beltrame <lbeltrame@kde.org>
- Run spec-cleaner
* Tue Nov 20 2018 lbeltrame@kde.org
- Update to 18.11.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
  * Too many changes to list here
* Thu Nov  8 2018 lbeltrame@kde.org
- Update to 18.08.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.3.php
- Changes since 18.08.2:
  * Fix show html format
  * Fix save format
  * Fix Bug 395711 - Since last Update kmail didn't load external images anymore (kde#395711)
  * Fix icon in notification
* Thu Oct 11 2018 lbeltrame@kde.org
- Update to 18.08.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.2.php
- Changes since 18.08.1:
  * Don't show quota page when quota max < 0
  * Allow to restore with mailtransportname and identity name.
  * Initialize with identity
  * Emit signal when identity is not found
  * Fix use identity, it will select correct send folder now.
  * Fix Bug 397937 - Kmail wrong trash icon (kde#397937)
* Thu Sep  6 2018 lbeltrame@kde.org
- Update to 18.08.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.1.php
- Changes since 18.08.0:
  * Squeeze title menu
  * Remove unused action
  * Add missing action + use zoom_menu directly
  * Remove unused action
  * Fix Bug 397717 - "View Source" option is on 2 menus i.e. "View" and "Message". (kde#397717)
  * Backport setting for delete-without-confirmation from master, without GUI.
  * Fix Quota progress bar for quota limit of 2GB and more
* Thu Aug 16 2018 christophe@krop.fr
- Update to 18.08.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.0.php
- Changes since 18.07.80:
  * Fix enable/disable print action
  * Add warning when we can't print message
  * Add "Add Followup Reminder..." entry in messagelib popupmenu too
  * Port to setAutoSaveSettings so that saving happens before hiding. (kde#396339)
  * KMail: don't sync after save, don't reload after last sync
* Thu Jul 26 2018 lbeltrame@kde.org
- Update to 18.07.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08-beta.php
- Changes since 18.04.3:
  * Too many changes to list here
* Fri Jul 13 2018 lbeltrame@kde.org
- Update to 18.04.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
  * Fix Bug 395353 - kmail doesn't honor Subject and In-Reply-To in mailto: links (kde#395353)
  * KMail: don't move the mainwindow to the current desktop when invoking a composer
  * Fix typo in argument name
  * Allow to make working as an email when we forward message as attachment
* Thu Jun 21 2018 lbeltrame@kde.org
- Add explicit requires for pimcommon libraries (libKF5PimCommon5 and
  libKF5PimCommonAkonadi5) and for messagelib
* Fri Jun  8 2018 lbeltrame@kde.org
- Update to 18.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.2.php
- Changes since 18.04.1:
  * Bug 232911 - "Reply Without Quote" does not open message composer anymore (kde#232911)
  * Fix show two icon when we use kontact.
  * Fix warning about shortcut
* Fri May 11 2018 lbeltrame@kde.org
- Update to 18.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.1.php
- Changes since 18.04.0:
  * Set focus to viewer when we use esc
  * Distinguish between settings and explicit overrides for external content
* Wed Apr 18 2018 lbeltrame@kde.org
- Update to 18.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.0.php
- Changes since 18.03.90:
  * None
* Fri Apr  6 2018 lbeltrame@kde.org
- Update to 18.03.90
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04-rc.php
- Changes since 17.12.3:
  * Too many changes to list here
* Thu Mar  8 2018 lbeltrame@kde.org
- Update to 17.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
  * Rename categories file name + follow kdepim categories name
  * Fix Bug 390620 Editing an Identity while New Message window is open causes the Signature to be updated in the New Message window (kde#390620)
* Wed Feb  7 2018 lbeltrame@kde.org
- Update to 17.12.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
  * Fix Bug 388953 - Apply filters on folder doesn't work anymore (kde#388953)
* Thu Jan 11 2018 lbeltrame@kde.org
- Update to 17.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.1.php
- Changes since 17.12.0:
  * None
* Sat Dec  9 2017 lbeltrame@kde.org
- Update to 17.12.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.0.php
- Changes since 17.11.90:
  * define kf5_version
  * Fix Bug 387193 - "Paste as attachment" pastes text/plain like normal (kde#387193)
* Sat Dec  2 2017 lbeltrame@kde.org
- Update to 17.11.90
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12-rc.php
- Changes since 17.11.80:
  * We must show actions even we don't select text
  * Revert this changes. We can add KDEPIM_DEV_VERSION so I don't understand why it was removed. Or it was necessary to remove KDEPIM_DEV_VERSION. but it always used
  * Fix compilation
  * [komposerwin] Save configuration on window close
* Mon Nov 20 2017 lbeltrame@kde.org
- Update to 17.11.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12-beta.php
- Changes since 17.08.3:
  * Too many changes to list here
- Dropped patches, now upstream:
  * use-icon-filename-for-systray-icon.patch
* Thu Nov  9 2017 lbeltrame@kde.org
- Update to 17.08.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.3.php
- Changes since 17.08.2:
  * Fix bug when welcome page is displayed
  * Display  warning on top of composer + fix special case
  * Increase dependancy
  * Fix show label
* Mon Oct 16 2017 lbeltrame@kde.org
- Update to 17.08.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.2.php
- Changes since 17.08.1:
  * Add kconf_update script to adapt to .desktop name change in 17.08
  * Remove element not index. Now progress dialog is closed when we indexed all collections
  * Don't eat each key event
  * Update title when we switch folder.
* Tue Oct 10 2017 wbauer@tmo.at
- Add use-icon-filename-for-systray-icon.patch to use the desktop
  theme's new mail icon in the system tray (boo#1055079, kde#354820)
* Thu Sep 28 2017 wbauer@tmo.at
- Recommend akonadi-search to make index-related functionality
  work out of the box (boo#1053540, boo#1013687)
* Thu Sep  7 2017 lbeltrame@kde.org
- Update to 17.08.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.1.php
- Changes since 17.08.0:
  * Fix potential crash
  * Don't set KMKernel::xmlGuiInstanceName() by default (kde#362281)
  * Increase default value
  * Readd a top margin otherwise it's difficult to find splitter to resize it.
* Fri Aug 11 2017 christophe@krop.fr
- Update to KDE Applications 17.08.0
  * New feature release
  * https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
- Too many changes to list here
* Sat Aug  5 2017 christophe@krop.fr
- Update to KDE Applications 17.07.90
  * KDE Applications 17.07.90
  * https://www.kde.org/announcements/announce-applications-17.08-rc.php
* Sat Jul 15 2017 lbeltrame@kde.org
- Update to 17.04.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.3.php
- Changes since 17.04.2:
  * Add missing method for setting collection
  * Remove unused include
  * Remove not necessary include
* Wed Jun  7 2017 lbeltrame@kde.org
- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Make sure that we use plugin when we use sendlater feature
  * Remove old option
  * Add missing helper_p include
  * Fix list when we have empty string
  * Fix create list of emails
  * Fix typo
  * Rename methods
- Dropped upstreamed patches:
  * 0001-Add-missing-helper_p-include.patch
* Fri May 19 2017 lbeltrame@kde.org
- Add 0001-Add-missing-helper_p-include.patch: upstream patch
  to fix building with Qt 5.6
* Wed May 17 2017 lbeltrame@kde.org
- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * Use a mCurrentCollection variable as discussed with david.
  * Clean stylesheet when we select a valid folder
  * Allow to add more file after --attach
* Sun Apr 16 2017 lbeltrame@kde.org
- Update to 17.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.0.php
- Changes since 17.03.90:
  * SearchDialog: improve performance by caching collection full paths.
  * Use QFileInfo::exists(...) static method
  * Migrate some files
  * Use QByteArrayLiteral here
  * Don't allow to edit collection name in this dialogbox
  * USe new signal from indexing agent
  * Minor optimization. If collection id is not remove we don't need to call
  * Use nullptr
* Wed Apr 12 2017 lbeltrame@kde.org
- Update to 17.03.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04-rc.php
- Changes since 17.03.80:
  * Minor optimization
  * It was an error to hide maximumattachmentsize feature
  * Minor optimization
  * Fix includes/Minor optimization
* Fri Apr  7 2017 wbauer@tmo.at
- Unconditionally build with libgpgmepp-devel/libqgpgme-devel,
  gpgmepp5 is no longer supported
* Fri Apr  7 2017 fabian@ritter-vogt.de
- Remove unnecessary ldconfig calls for ktnef
* Sat Mar 25 2017 lbeltrame@kde.org
- Update to 17.03.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04-beta.php
- Changes since 16.12.3:
  * Too many changes to list here
* Thu Mar  9 2017 lbeltrame@kde.org
- Update to 16.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-16.12.3.php
- Changes since 16.12.2:
  * Use isEmpty() directly
* Thu Feb  9 2017 lbeltrame@kde.org
- Update to KDE Applications 16.12.2
  * KDE Applications 16.12.2
  * https://www.kde.org/announcements/announce-applications-16.12.2.php
* Sat Jan 14 2017 lbeltrame@kde.org
- - Update to KDE Applications 16.12.1
  * KDE Applications 16.12.1
  * https://www.kde.org/announcements/announce-applications-16.12.1.php
* Sat Dec 24 2016 wbauer@tmo.at
- Recommend akonadi-import-wizard (instead of
  akonadi-import-wizards), that's how the package is called
* Tue Dec 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.12.0
  * KDE Applications 16.12.0
  * https://www.kde.org/announcements/announce-applications-16.12.0.php
* Sat Dec  3 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.90
  * KDE Applications 16.12.0 RC
  * https://www.kde.org/announcements/announce-applications-16.12-rc.php
* Tue Nov 29 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.80
  * KDE Applications 16.12.0 Beta
  * https://www.kde.org/announcements/announce-applications-16.12-beta.php
* Sun Nov 27 2016 tittiatcoke@gmail.com
- Update spec-files to be consistent wiht KA
